Bug 1129122 (CVE-2019-9741)

Summary: VUL-0: CVE-2019-9741: golang: CRLF injection in net/http
Product: [Novell Products] SUSE Security Incidents Reporter: Marcus Meissner <meissner>
Component: IncidentsAssignee: Jeff Kowalczyk <jkowalczyk>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: atoptsoglou, dcooper, jmassaguerpla, meissner, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/226055/
Whiteboard: CVSSv3:SUSE:CVE-2019-9741:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Marcus Meissner 2019-03-13 19:21:48 UTC
rh#1688230

An issue was discovered in net/http in Go 1.11.5. CRLF injection is possible if the attacker controls a url parameter, as demonstrated by the second argument to http.NewRequest with \r\n followed by an HTTP header or a Redis command.

Reference:
https://github.com/golang/go/issues/30794

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1688230
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9741
Comment 1 Flavio Castelli 2019-09-24 07:51:49 UTC
Assigned to Jeff, he's the maintainer of Go at SUSE now.
Comment 2 Alexandros Toptsoglou 2020-07-29 14:09:16 UTC
Our go1.11 packages are already in a fixed version in all codestreams closing